package cards.maumau.model;

/**
 * Represents the state of the Mau-Mau game.
 */
public enum GameState {
    /**
     * The game has been initialized, but has not yet started.
     */
    GAME_PLAY,
    /**
     * The game is over. The final ranking of players can be
     * obtained using {@link MauMau#getRanking()}.
     */
    GAME_FINISHED,
    /**
     * The game has been canceled due to insufficient cards.
     */
    GAME_CANCELED,
}
